#include <bits/stdc++.h>

int main() {
    freopen("stair.in", "r", stdin);
    freopen("stair.out", "w", stdout);
    int x[2], y[2], a, b;
    for (int i = 0; i < 2; i++)
        scanf("%d%d", &x[i], &y[i]);
    scanf("%d%d", &a, &b);
    int w = abs(x[0] - x[1]);
    int h = abs(y[0] - y[1]);
    int answer = w / a;
    if (answer == 0 || h * 1.0 / b > answer) {
        printf("-1");
    } else {
        printf("%d %d\n", w, answer);
        printf("%d %d\n", h, answer);
    }
    return 0;
}